package com.jamesquinley;
import com.jamesquinley.DelegationServices.status;

/**
Hey there! This is the source code for AOTSK-Delegation Server, self-explanatory.
Also this is multi line so I can justify using this type of comment.
 */
public class Main {
    public static void main(String[] args) throws InterruptedException {
        com.jamesquinley.DelegationServices.delegationServices.connectionInit(status.betaServer);
        com.jamesquinley.DelegationServices.delegationServices.Purge();
        System.out.println("We're starting the login delegation server, please wait one moment while we check a few things.");
        System.out.println("We've started everything, requests are now being served");
       while (true) {
           isolatedTimer();
           Thread.sleep(500);
       }
    }

    static void isolatedTimer() {
            try {
                com.jamesquinley.DelegationServices.delegationServices.userAuthetication();
            } catch (Exception e) {
                System.out.println("We ran into an issue, this is a known issue and will be fixed once I can figure it out. " + e.getCause());
            }
    }
}